Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network232.96.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
232.96.0.0
Broadcast address
232.111.255.255
First usable
232.96.0.1
Last usable
232.111.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E8600000 · Integer 3898605568 to 3899654143
Reverse DNS zones
96.232.in-addr.arpa
97.232.in-addr.arpa
98.232.in-addr.arpa
99.232.in-addr.arpa
100.232.in-addr.arpa
101.232.in-addr.arpa
102.232.in-addr.arpa
103.232.in-addr.arpa
104.232.in-addr.arpa
105.232.in-addr.arpa
106.232.in-addr.arpa
107.232.in-addr.arpa
108.232.in-addr.arpa
109.232.in-addr.arpa
110.232.in-addr.arpa
111.232.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101000.01100000.00000000.00000000232.96.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network11101000.01100000.00000000.00000000232.96.0.0
Broadcast11101000.01101111.11111111.11111111232.111.255.255
Split into smaller subnets/21

232.96.0.0/12 makes 512 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1232.96.0.0/21232.96.0.1 to 232.96.7.254232.96.7.2552,046
2232.96.8.0/21232.96.8.1 to 232.96.15.254232.96.15.2552,046
3232.96.16.0/21232.96.16.1 to 232.96.23.254232.96.23.2552,046
4232.96.24.0/21232.96.24.1 to 232.96.31.254232.96.31.2552,046
5232.96.32.0/21232.96.32.1 to 232.96.39.254232.96.39.2552,046
6232.96.40.0/21232.96.40.1 to 232.96.47.254232.96.47.2552,046
7232.96.48.0/21232.96.48.1 to 232.96.55.254232.96.55.2552,046
8232.96.56.0/21232.96.56.1 to 232.96.63.254232.96.63.2552,046
9232.96.64.0/21232.96.64.1 to 232.96.71.254232.96.71.2552,046
10232.96.72.0/21232.96.72.1 to 232.96.79.254232.96.79.2552,046
11232.96.80.0/21232.96.80.1 to 232.96.87.254232.96.87.2552,046
12232.96.88.0/21232.96.88.1 to 232.96.95.254232.96.95.2552,046
13232.96.96.0/21232.96.96.1 to 232.96.103.254232.96.103.2552,046
14232.96.104.0/21232.96.104.1 to 232.96.111.254232.96.111.2552,046
15232.96.112.0/21232.96.112.1 to 232.96.119.254232.96.119.2552,046
16232.96.120.0/21232.96.120.1 to 232.96.127.254232.96.127.2552,046
17232.96.128.0/21232.96.128.1 to 232.96.135.254232.96.135.2552,046
18232.96.136.0/21232.96.136.1 to 232.96.143.254232.96.143.2552,046
19232.96.144.0/21232.96.144.1 to 232.96.151.254232.96.151.2552,046
20232.96.152.0/21232.96.152.1 to 232.96.159.254232.96.159.2552,046
21232.96.160.0/21232.96.160.1 to 232.96.167.254232.96.167.2552,046
22232.96.168.0/21232.96.168.1 to 232.96.175.254232.96.175.2552,046
23232.96.176.0/21232.96.176.1 to 232.96.183.254232.96.183.2552,046
24232.96.184.0/21232.96.184.1 to 232.96.191.254232.96.191.2552,046
25232.96.192.0/21232.96.192.1 to 232.96.199.254232.96.199.2552,046
26232.96.200.0/21232.96.200.1 to 232.96.207.254232.96.207.2552,046
27232.96.208.0/21232.96.208.1 to 232.96.215.254232.96.215.2552,046
28232.96.216.0/21232.96.216.1 to 232.96.223.254232.96.223.2552,046
29232.96.224.0/21232.96.224.1 to 232.96.231.254232.96.231.2552,046
30232.96.232.0/21232.96.232.1 to 232.96.239.254232.96.239.2552,046
31232.96.240.0/21232.96.240.1 to 232.96.247.254232.96.247.2552,046
32232.96.248.0/21232.96.248.1 to 232.96.255.254232.96.255.2552,046
33232.97.0.0/21232.97.0.1 to 232.97.7.254232.97.7.2552,046
34232.97.8.0/21232.97.8.1 to 232.97.15.254232.97.15.2552,046
35232.97.16.0/21232.97.16.1 to 232.97.23.254232.97.23.2552,046
36232.97.24.0/21232.97.24.1 to 232.97.31.254232.97.31.2552,046
37232.97.32.0/21232.97.32.1 to 232.97.39.254232.97.39.2552,046
38232.97.40.0/21232.97.40.1 to 232.97.47.254232.97.47.2552,046
39232.97.48.0/21232.97.48.1 to 232.97.55.254232.97.55.2552,046
40232.97.56.0/21232.97.56.1 to 232.97.63.254232.97.63.2552,046
41232.97.64.0/21232.97.64.1 to 232.97.71.254232.97.71.2552,046
42232.97.72.0/21232.97.72.1 to 232.97.79.254232.97.79.2552,046
43232.97.80.0/21232.97.80.1 to 232.97.87.254232.97.87.2552,046
44232.97.88.0/21232.97.88.1 to 232.97.95.254232.97.95.2552,046
45232.97.96.0/21232.97.96.1 to 232.97.103.254232.97.103.2552,046
46232.97.104.0/21232.97.104.1 to 232.97.111.254232.97.111.2552,046
47232.97.112.0/21232.97.112.1 to 232.97.119.254232.97.119.2552,046
48232.97.120.0/21232.97.120.1 to 232.97.127.254232.97.127.2552,046
49232.97.128.0/21232.97.128.1 to 232.97.135.254232.97.135.2552,046
50232.97.136.0/21232.97.136.1 to 232.97.143.254232.97.143.2552,046
51232.97.144.0/21232.97.144.1 to 232.97.151.254232.97.151.2552,046
52232.97.152.0/21232.97.152.1 to 232.97.159.254232.97.159.2552,046
53232.97.160.0/21232.97.160.1 to 232.97.167.254232.97.167.2552,046
54232.97.168.0/21232.97.168.1 to 232.97.175.254232.97.175.2552,046
55232.97.176.0/21232.97.176.1 to 232.97.183.254232.97.183.2552,046
56232.97.184.0/21232.97.184.1 to 232.97.191.254232.97.191.2552,046
57232.97.192.0/21232.97.192.1 to 232.97.199.254232.97.199.2552,046
58232.97.200.0/21232.97.200.1 to 232.97.207.254232.97.207.2552,046
59232.97.208.0/21232.97.208.1 to 232.97.215.254232.97.215.2552,046
60232.97.216.0/21232.97.216.1 to 232.97.223.254232.97.223.2552,046
61232.97.224.0/21232.97.224.1 to 232.97.231.254232.97.231.2552,046
62232.97.232.0/21232.97.232.1 to 232.97.239.254232.97.239.2552,046
63232.97.240.0/21232.97.240.1 to 232.97.247.254232.97.247.2552,046
64232.97.248.0/21232.97.248.1 to 232.97.255.254232.97.255.2552,046
65232.98.0.0/21232.98.0.1 to 232.98.7.254232.98.7.2552,046
66232.98.8.0/21232.98.8.1 to 232.98.15.254232.98.15.2552,046
67232.98.16.0/21232.98.16.1 to 232.98.23.254232.98.23.2552,046
68232.98.24.0/21232.98.24.1 to 232.98.31.254232.98.31.2552,046
69232.98.32.0/21232.98.32.1 to 232.98.39.254232.98.39.2552,046
70232.98.40.0/21232.98.40.1 to 232.98.47.254232.98.47.2552,046
71232.98.48.0/21232.98.48.1 to 232.98.55.254232.98.55.2552,046
72232.98.56.0/21232.98.56.1 to 232.98.63.254232.98.63.2552,046
73232.98.64.0/21232.98.64.1 to 232.98.71.254232.98.71.2552,046
74232.98.72.0/21232.98.72.1 to 232.98.79.254232.98.79.2552,046
75232.98.80.0/21232.98.80.1 to 232.98.87.254232.98.87.2552,046
76232.98.88.0/21232.98.88.1 to 232.98.95.254232.98.95.2552,046
77232.98.96.0/21232.98.96.1 to 232.98.103.254232.98.103.2552,046
78232.98.104.0/21232.98.104.1 to 232.98.111.254232.98.111.2552,046
79232.98.112.0/21232.98.112.1 to 232.98.119.254232.98.119.2552,046
80232.98.120.0/21232.98.120.1 to 232.98.127.254232.98.127.2552,046
81232.98.128.0/21232.98.128.1 to 232.98.135.254232.98.135.2552,046
82232.98.136.0/21232.98.136.1 to 232.98.143.254232.98.143.2552,046
83232.98.144.0/21232.98.144.1 to 232.98.151.254232.98.151.2552,046
84232.98.152.0/21232.98.152.1 to 232.98.159.254232.98.159.2552,046
85232.98.160.0/21232.98.160.1 to 232.98.167.254232.98.167.2552,046
86232.98.168.0/21232.98.168.1 to 232.98.175.254232.98.175.2552,046
87232.98.176.0/21232.98.176.1 to 232.98.183.254232.98.183.2552,046
88232.98.184.0/21232.98.184.1 to 232.98.191.254232.98.191.2552,046
89232.98.192.0/21232.98.192.1 to 232.98.199.254232.98.199.2552,046
90232.98.200.0/21232.98.200.1 to 232.98.207.254232.98.207.2552,046
91232.98.208.0/21232.98.208.1 to 232.98.215.254232.98.215.2552,046
92232.98.216.0/21232.98.216.1 to 232.98.223.254232.98.223.2552,046
93232.98.224.0/21232.98.224.1 to 232.98.231.254232.98.231.2552,046
94232.98.232.0/21232.98.232.1 to 232.98.239.254232.98.239.2552,046
95232.98.240.0/21232.98.240.1 to 232.98.247.254232.98.247.2552,046
96232.98.248.0/21232.98.248.1 to 232.98.255.254232.98.255.2552,046
97232.99.0.0/21232.99.0.1 to 232.99.7.254232.99.7.2552,046
98232.99.8.0/21232.99.8.1 to 232.99.15.254232.99.15.2552,046
99232.99.16.0/21232.99.16.1 to 232.99.23.254232.99.23.2552,046
100232.99.24.0/21232.99.24.1 to 232.99.31.254232.99.31.2552,046
101232.99.32.0/21232.99.32.1 to 232.99.39.254232.99.39.2552,046
102232.99.40.0/21232.99.40.1 to 232.99.47.254232.99.47.2552,046
103232.99.48.0/21232.99.48.1 to 232.99.55.254232.99.55.2552,046
104232.99.56.0/21232.99.56.1 to 232.99.63.254232.99.63.2552,046
105232.99.64.0/21232.99.64.1 to 232.99.71.254232.99.71.2552,046
106232.99.72.0/21232.99.72.1 to 232.99.79.254232.99.79.2552,046
107232.99.80.0/21232.99.80.1 to 232.99.87.254232.99.87.2552,046
108232.99.88.0/21232.99.88.1 to 232.99.95.254232.99.95.2552,046
109232.99.96.0/21232.99.96.1 to 232.99.103.254232.99.103.2552,046
110232.99.104.0/21232.99.104.1 to 232.99.111.254232.99.111.2552,046
111232.99.112.0/21232.99.112.1 to 232.99.119.254232.99.119.2552,046
112232.99.120.0/21232.99.120.1 to 232.99.127.254232.99.127.2552,046
113232.99.128.0/21232.99.128.1 to 232.99.135.254232.99.135.2552,046
114232.99.136.0/21232.99.136.1 to 232.99.143.254232.99.143.2552,046
115232.99.144.0/21232.99.144.1 to 232.99.151.254232.99.151.2552,046
116232.99.152.0/21232.99.152.1 to 232.99.159.254232.99.159.2552,046
117232.99.160.0/21232.99.160.1 to 232.99.167.254232.99.167.2552,046
118232.99.168.0/21232.99.168.1 to 232.99.175.254232.99.175.2552,046
119232.99.176.0/21232.99.176.1 to 232.99.183.254232.99.183.2552,046
120232.99.184.0/21232.99.184.1 to 232.99.191.254232.99.191.2552,046
121232.99.192.0/21232.99.192.1 to 232.99.199.254232.99.199.2552,046
122232.99.200.0/21232.99.200.1 to 232.99.207.254232.99.207.2552,046
123232.99.208.0/21232.99.208.1 to 232.99.215.254232.99.215.2552,046
124232.99.216.0/21232.99.216.1 to 232.99.223.254232.99.223.2552,046
125232.99.224.0/21232.99.224.1 to 232.99.231.254232.99.231.2552,046
126232.99.232.0/21232.99.232.1 to 232.99.239.254232.99.239.2552,046
127232.99.240.0/21232.99.240.1 to 232.99.247.254232.99.247.2552,046
128232.99.248.0/21232.99.248.1 to 232.99.255.254232.99.255.2552,046
129232.100.0.0/21232.100.0.1 to 232.100.7.254232.100.7.2552,046
130232.100.8.0/21232.100.8.1 to 232.100.15.254232.100.15.2552,046
131232.100.16.0/21232.100.16.1 to 232.100.23.254232.100.23.2552,046
132232.100.24.0/21232.100.24.1 to 232.100.31.254232.100.31.2552,046
133232.100.32.0/21232.100.32.1 to 232.100.39.254232.100.39.2552,046
134232.100.40.0/21232.100.40.1 to 232.100.47.254232.100.47.2552,046
135232.100.48.0/21232.100.48.1 to 232.100.55.254232.100.55.2552,046
136232.100.56.0/21232.100.56.1 to 232.100.63.254232.100.63.2552,046
137232.100.64.0/21232.100.64.1 to 232.100.71.254232.100.71.2552,046
138232.100.72.0/21232.100.72.1 to 232.100.79.254232.100.79.2552,046
139232.100.80.0/21232.100.80.1 to 232.100.87.254232.100.87.2552,046
140232.100.88.0/21232.100.88.1 to 232.100.95.254232.100.95.2552,046
141232.100.96.0/21232.100.96.1 to 232.100.103.254232.100.103.2552,046
142232.100.104.0/21232.100.104.1 to 232.100.111.254232.100.111.2552,046
143232.100.112.0/21232.100.112.1 to 232.100.119.254232.100.119.2552,046
144232.100.120.0/21232.100.120.1 to 232.100.127.254232.100.127.2552,046
145232.100.128.0/21232.100.128.1 to 232.100.135.254232.100.135.2552,046
146232.100.136.0/21232.100.136.1 to 232.100.143.254232.100.143.2552,046
147232.100.144.0/21232.100.144.1 to 232.100.151.254232.100.151.2552,046
148232.100.152.0/21232.100.152.1 to 232.100.159.254232.100.159.2552,046
149232.100.160.0/21232.100.160.1 to 232.100.167.254232.100.167.2552,046
150232.100.168.0/21232.100.168.1 to 232.100.175.254232.100.175.2552,046
151232.100.176.0/21232.100.176.1 to 232.100.183.254232.100.183.2552,046
152232.100.184.0/21232.100.184.1 to 232.100.191.254232.100.191.2552,046
153232.100.192.0/21232.100.192.1 to 232.100.199.254232.100.199.2552,046
154232.100.200.0/21232.100.200.1 to 232.100.207.254232.100.207.2552,046
155232.100.208.0/21232.100.208.1 to 232.100.215.254232.100.215.2552,046
156232.100.216.0/21232.100.216.1 to 232.100.223.254232.100.223.2552,046
157232.100.224.0/21232.100.224.1 to 232.100.231.254232.100.231.2552,046
158232.100.232.0/21232.100.232.1 to 232.100.239.254232.100.239.2552,046
159232.100.240.0/21232.100.240.1 to 232.100.247.254232.100.247.2552,046
160232.100.248.0/21232.100.248.1 to 232.100.255.254232.100.255.2552,046
161232.101.0.0/21232.101.0.1 to 232.101.7.254232.101.7.2552,046
162232.101.8.0/21232.101.8.1 to 232.101.15.254232.101.15.2552,046
163232.101.16.0/21232.101.16.1 to 232.101.23.254232.101.23.2552,046
164232.101.24.0/21232.101.24.1 to 232.101.31.254232.101.31.2552,046
165232.101.32.0/21232.101.32.1 to 232.101.39.254232.101.39.2552,046
166232.101.40.0/21232.101.40.1 to 232.101.47.254232.101.47.2552,046
167232.101.48.0/21232.101.48.1 to 232.101.55.254232.101.55.2552,046
168232.101.56.0/21232.101.56.1 to 232.101.63.254232.101.63.2552,046
169232.101.64.0/21232.101.64.1 to 232.101.71.254232.101.71.2552,046
170232.101.72.0/21232.101.72.1 to 232.101.79.254232.101.79.2552,046
171232.101.80.0/21232.101.80.1 to 232.101.87.254232.101.87.2552,046
172232.101.88.0/21232.101.88.1 to 232.101.95.254232.101.95.2552,046
173232.101.96.0/21232.101.96.1 to 232.101.103.254232.101.103.2552,046
174232.101.104.0/21232.101.104.1 to 232.101.111.254232.101.111.2552,046
175232.101.112.0/21232.101.112.1 to 232.101.119.254232.101.119.2552,046
176232.101.120.0/21232.101.120.1 to 232.101.127.254232.101.127.2552,046
177232.101.128.0/21232.101.128.1 to 232.101.135.254232.101.135.2552,046
178232.101.136.0/21232.101.136.1 to 232.101.143.254232.101.143.2552,046
179232.101.144.0/21232.101.144.1 to 232.101.151.254232.101.151.2552,046
180232.101.152.0/21232.101.152.1 to 232.101.159.254232.101.159.2552,046
181232.101.160.0/21232.101.160.1 to 232.101.167.254232.101.167.2552,046
182232.101.168.0/21232.101.168.1 to 232.101.175.254232.101.175.2552,046
183232.101.176.0/21232.101.176.1 to 232.101.183.254232.101.183.2552,046
184232.101.184.0/21232.101.184.1 to 232.101.191.254232.101.191.2552,046
185232.101.192.0/21232.101.192.1 to 232.101.199.254232.101.199.2552,046
186232.101.200.0/21232.101.200.1 to 232.101.207.254232.101.207.2552,046
187232.101.208.0/21232.101.208.1 to 232.101.215.254232.101.215.2552,046
188232.101.216.0/21232.101.216.1 to 232.101.223.254232.101.223.2552,046
189232.101.224.0/21232.101.224.1 to 232.101.231.254232.101.231.2552,046
190232.101.232.0/21232.101.232.1 to 232.101.239.254232.101.239.2552,046
191232.101.240.0/21232.101.240.1 to 232.101.247.254232.101.247.2552,046
192232.101.248.0/21232.101.248.1 to 232.101.255.254232.101.255.2552,046
193232.102.0.0/21232.102.0.1 to 232.102.7.254232.102.7.2552,046
194232.102.8.0/21232.102.8.1 to 232.102.15.254232.102.15.2552,046
195232.102.16.0/21232.102.16.1 to 232.102.23.254232.102.23.2552,046
196232.102.24.0/21232.102.24.1 to 232.102.31.254232.102.31.2552,046
197232.102.32.0/21232.102.32.1 to 232.102.39.254232.102.39.2552,046
198232.102.40.0/21232.102.40.1 to 232.102.47.254232.102.47.2552,046
199232.102.48.0/21232.102.48.1 to 232.102.55.254232.102.55.2552,046
200232.102.56.0/21232.102.56.1 to 232.102.63.254232.102.63.2552,046
201232.102.64.0/21232.102.64.1 to 232.102.71.254232.102.71.2552,046
202232.102.72.0/21232.102.72.1 to 232.102.79.254232.102.79.2552,046
203232.102.80.0/21232.102.80.1 to 232.102.87.254232.102.87.2552,046
204232.102.88.0/21232.102.88.1 to 232.102.95.254232.102.95.2552,046
205232.102.96.0/21232.102.96.1 to 232.102.103.254232.102.103.2552,046
206232.102.104.0/21232.102.104.1 to 232.102.111.254232.102.111.2552,046
207232.102.112.0/21232.102.112.1 to 232.102.119.254232.102.119.2552,046
208232.102.120.0/21232.102.120.1 to 232.102.127.254232.102.127.2552,046
209232.102.128.0/21232.102.128.1 to 232.102.135.254232.102.135.2552,046
210232.102.136.0/21232.102.136.1 to 232.102.143.254232.102.143.2552,046
211232.102.144.0/21232.102.144.1 to 232.102.151.254232.102.151.2552,046
212232.102.152.0/21232.102.152.1 to 232.102.159.254232.102.159.2552,046
213232.102.160.0/21232.102.160.1 to 232.102.167.254232.102.167.2552,046
214232.102.168.0/21232.102.168.1 to 232.102.175.254232.102.175.2552,046
215232.102.176.0/21232.102.176.1 to 232.102.183.254232.102.183.2552,046
216232.102.184.0/21232.102.184.1 to 232.102.191.254232.102.191.2552,046
217232.102.192.0/21232.102.192.1 to 232.102.199.254232.102.199.2552,046
218232.102.200.0/21232.102.200.1 to 232.102.207.254232.102.207.2552,046
219232.102.208.0/21232.102.208.1 to 232.102.215.254232.102.215.2552,046
220232.102.216.0/21232.102.216.1 to 232.102.223.254232.102.223.2552,046
221232.102.224.0/21232.102.224.1 to 232.102.231.254232.102.231.2552,046
222232.102.232.0/21232.102.232.1 to 232.102.239.254232.102.239.2552,046
223232.102.240.0/21232.102.240.1 to 232.102.247.254232.102.247.2552,046
224232.102.248.0/21232.102.248.1 to 232.102.255.254232.102.255.2552,046
225232.103.0.0/21232.103.0.1 to 232.103.7.254232.103.7.2552,046
226232.103.8.0/21232.103.8.1 to 232.103.15.254232.103.15.2552,046
227232.103.16.0/21232.103.16.1 to 232.103.23.254232.103.23.2552,046
228232.103.24.0/21232.103.24.1 to 232.103.31.254232.103.31.2552,046
229232.103.32.0/21232.103.32.1 to 232.103.39.254232.103.39.2552,046
230232.103.40.0/21232.103.40.1 to 232.103.47.254232.103.47.2552,046
231232.103.48.0/21232.103.48.1 to 232.103.55.254232.103.55.2552,046
232232.103.56.0/21232.103.56.1 to 232.103.63.254232.103.63.2552,046
233232.103.64.0/21232.103.64.1 to 232.103.71.254232.103.71.2552,046
234232.103.72.0/21232.103.72.1 to 232.103.79.254232.103.79.2552,046
235232.103.80.0/21232.103.80.1 to 232.103.87.254232.103.87.2552,046
236232.103.88.0/21232.103.88.1 to 232.103.95.254232.103.95.2552,046
237232.103.96.0/21232.103.96.1 to 232.103.103.254232.103.103.2552,046
238232.103.104.0/21232.103.104.1 to 232.103.111.254232.103.111.2552,046
239232.103.112.0/21232.103.112.1 to 232.103.119.254232.103.119.2552,046
240232.103.120.0/21232.103.120.1 to 232.103.127.254232.103.127.2552,046
241232.103.128.0/21232.103.128.1 to 232.103.135.254232.103.135.2552,046
242232.103.136.0/21232.103.136.1 to 232.103.143.254232.103.143.2552,046
243232.103.144.0/21232.103.144.1 to 232.103.151.254232.103.151.2552,046
244232.103.152.0/21232.103.152.1 to 232.103.159.254232.103.159.2552,046
245232.103.160.0/21232.103.160.1 to 232.103.167.254232.103.167.2552,046
246232.103.168.0/21232.103.168.1 to 232.103.175.254232.103.175.2552,046
247232.103.176.0/21232.103.176.1 to 232.103.183.254232.103.183.2552,046
248232.103.184.0/21232.103.184.1 to 232.103.191.254232.103.191.2552,046
249232.103.192.0/21232.103.192.1 to 232.103.199.254232.103.199.2552,046
250232.103.200.0/21232.103.200.1 to 232.103.207.254232.103.207.2552,046
251232.103.208.0/21232.103.208.1 to 232.103.215.254232.103.215.2552,046
252232.103.216.0/21232.103.216.1 to 232.103.223.254232.103.223.2552,046
253232.103.224.0/21232.103.224.1 to 232.103.231.254232.103.231.2552,046
254232.103.232.0/21232.103.232.1 to 232.103.239.254232.103.239.2552,046
255232.103.240.0/21232.103.240.1 to 232.103.247.254232.103.247.2552,046
256232.103.248.0/21232.103.248.1 to 232.103.255.254232.103.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses